Show / Hide Table of Contents

# Enum CacheMode

Specifies the cache mode that should be used.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum CacheMode

### Fields

Name | Description
--- | ---
AllowDownload | Allows the object to be downloaded if it does not exist in the current cache.
CacheOnly | Only allows the object to be pulled from the existing cache.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()